FreeBSD:png -- メモリ破損/リモートコード実行の可能性(262b92fe-81c8-11e1-8899-001ec9578670)

medium Nessus プラグイン ID 58640
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモート FreeBSD ホストに 1 つ以上のセキュリティ関連の更新が見つかりません。

説明

PNG プロジェクトによる報告:

libpng は、テキストチャンク(png_set_text_2() 内の)の malloc() エラーの適切な処理に失敗します。これにより、メモリ破損やリモートコード実行につながる可能性があります。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

http://www.libpng.org/pub/png/libpng.html

http://www.nessus.org/u?4b27afba

プラグインの詳細

深刻度: Medium

ID: 58640

ファイル名: freebsd_pkg_262b92fe81c811e18899001ec9578670.nasl

バージョン: 1.7

タイプ: local

公開日: 2012/4/9

更新日: 2021/1/6

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Medium

Base Score: 6.8

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

脆弱性情報

CPE: p-cpe:/a:freebsd:freebsd:linux-f10-png, p-cpe:/a:freebsd:freebsd:png, cpe:/o:freebsd:freebsd

必要な KB アイテム: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

パッチ公開日: 2012/4/8

脆弱性公開日: 2012/3/29

参照情報

CVE: CVE-2011-3048